﻿@using CareerDayApp2._0.Models
@using CareerDayWCFWebService
@{
    ViewBag.Title = "ResumeDrop";
}

<div class="white-background">
    <div class="page-header" style="text-align: center">
        <h2 style="margin-top: 0 !important; padding-top: 1%"><strong>Resume Drops</strong></h2>
        <p>*Locations of resume drops*</p>
    </div>
    <div class="white-background center">
        <div class="alternate-color">
            <div class="row center">
                @foreach (Map map in ViewBag.maps)
                {
                    if (map.isBoothMap && map.prefix[1] != "")
                    {
                        <div class="col-sm-4">

                            @if (map.smartMap != "")
                            {
                                <h3><a style="color: black !important" href="~/Home/SmartMap?fileName=@map.smartMap&name=@map.name&prefix=@map.prefix[0]&boothNum=@map.prefix[0]RD">@map.name</a></h3>
                                <div class="white-background" style="color: black !important;">
                                    @foreach (KeyValuePair<Company, string> item in ViewBag.resumeDrops)
                                    {

                                        if (item.Value == map.prefix[0])
                                        {
                                            <p><a style="color: #D2492A" href="~/Home/Company?id=@item.Key.orgID">@item.Key.orgName</a></p>
                                        }
                                    }
                                </div>

                            }
                            else
                            {
                                <a style="color: #D2492A !important" href="~/images/Maps/@map.fileName">@map.name</a>
                                <div class="white-background" style="color: black !important">
                                    @foreach (KeyValuePair<Company, string> item in ViewBag.resumeDrops)
                                    {
                                        if (item.Value == map.prefix[0])
                                        {
                                            <p><a href="~/Home/Company?id=@item.Key.orgID">@item.Key.orgName</a></p>
                                        }
                                    }
                                </div>
                            }
                        </div>
                    }
                }
            </div>
        </div>
    </div>
    <p class="back-to-map-container">
        <a href="~/Home/BoothMap" class="btn btn-default back-to-map" style="margin-bottom: 1%;">Back to Booth Maps Page</a>
    </p>
</div>